Inspectopedia Help

Deprecated 'Serializable' interface usage

Reports the usages of deprecated Serializable interface.

Starting from PHP 8.1, classes that are non-abstract, implement Serializable, and do not implement __serialize() and __unserialize() will throw a deprecation warning.

See Phasing out Serializable (php.net) for details.

Inspection Details

By default bundled with:

PhpStorm 2024.1, Qodana for PHP 2024.1,

Can be installed with plugin:

PHP, 241.SNAPSHOT

Last modified: 12 March 2024